1 Reply Latest reply on Jun 18, 2004 4:39 AM by Darran Lofthouse

    problem with loader-repository and jaxrpc.jar

    ajonak Newbie

      Hi,

      I use JBoss 3.2.3 with Tomcat 4.1.29
      My ear application contains several ejb modules as well as web application
      and web service.
      Web service is built on apache Axis-1.1 framework which in particular
      requires jaxrpc-1.1.jar library and which I put into my webservice's
      WEB-INF/lib directory.

      Additionally, in my app I have to use xerces-2.4.0.jar which is more recent
      that the one shipped with JBoss.
      However, despite I added the xerces-2.4.0 into my ear and set required
      Class-Path in manifest my application still used xerces-2.0 from JBoss.

      To solve the problem I decided to add:

      <loader-repository>www.aaa:loader=aaa.ear</loader-repository>

      in my jboss-app.xml descriptor.

      This solved the problem with xerces but I got an another one:
      now my app throws exception that javax/xml/transform/Result class is not
      found.
      I guess this is somehow connected with <loader-repository> issue. In the
      jaxrpc-1.1.jar there is no such class. But this is in jdk 1.4 which I use!
      For some reason the jdk1.4 javax/xml/tranform is overriden by jaxrpc...

      Is there any way to solve the problem? I know I could move the jaxrpc lib
      from my ear to JBoss lib but this is not possible - I'm not allowed to do
      such things.

      Regards,
      ___________________________________________
      Artur Jonak
      phone: +48 22 535 88 10
      <mailto:arj[at]empolis.pl>
      ___________________________________________